Package org.opensaml.xmlsec.encryption.support

# Class InlineEncryptedKeyResolver

java.lang.Object
org.opensaml.xmlsec.encryption.support.AbstractEncryptedKeyResolver
org.opensaml.xmlsec.encryption.support.InlineEncryptedKeyResolver

All Implemented Interfaces:
  `EncryptedKeyResolver`

public class InlineEncryptedKeyResolver extends AbstractEncryptedKeyResolver
Implementation of `EncryptedKeyResolver` which finds `EncryptedKey` elements within the `KeyInfo` of the `EncryptedData` context.

## Constructor Summary

Constructors
Constructor
Description
`InlineEncryptedKeyResolver()`
Constructor.
`InlineEncryptedKeyResolver(String recipient)`
Deprecated.
`InlineEncryptedKeyResolver(Set<String> recipients)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Iterable<EncryptedKey>`
`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

### Methods inherited from class org.opensaml.xmlsec.encryption.support.AbstractEncryptedKeyResolver

`getEffectiveRecipients, getRecipients, matchCarriedKeyName, matchDataReference, matchRecipient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.encryption.support.EncryptedKeyResolver

`resolve`

## Constructor Details

### InlineEncryptedKeyResolver

public InlineEncryptedKeyResolver()
Constructor.

### InlineEncryptedKeyResolver

@Deprecated public InlineEncryptedKeyResolver(@Nullable Set<String> recipients)
Deprecated.
Constructor.

Parameters:
  `recipients` - the set of recipients

### InlineEncryptedKeyResolver

@Deprecated public InlineEncryptedKeyResolver(@Nullable String recipient)
Deprecated.
Constructor.

Parameters:
  `recipient` - the recipient

## Method Details

### resolve

@Nonnull public Iterable<EncryptedKey> resolve(@Nonnull EncryptedData encryptedData, @Nullable Set<String> recipients)
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

Parameters:
  `encryptedData` - the EncryptedData element context in which to resolve
  `recipients` - the recipients to use during resolution
Returns:
  an iterable of EncryptedKey elements